Bug 1295710 - Review Request: wml - WML is a free and extensible Webdesigner's off-line HTML generation toolkit for Unix
Review Request: wml - WML is a free and extensible Webdesigner's off-line HTM...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 05:26 EST by Nikos Mavrogiannopoulos
Modified: 2016-01-19 06:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2016-01-05 05:26:30 EST
Spec URL: http://people.redhat.com/nmavrogi/fedora/wml/wml.spec
SRPM URL: http://people.redhat.com/nmavrogi/fedora/wml/wml-2.4.1-1.fc24.src.rpm
Description: WML is a free and extensible Webdesigner's off-line HTML generation toolkit for Unix, distributed under the GNU General Public License (GPL v2).

While not trivial and idiot proof WML provides most of the core
features real hackers always wanted for HTML generation. A typical
use case of WML today is the generation of HTML-based static pages
for archivable documentation.
Fedora Account System Username: nmav
Comment 1 Petr Pisar 2016-01-06 06:24:36 EST
The Perl dependencies are wrong. Perl language structures code into Perl modules and the dependencies in the spec files must be specified on them. Not on the packages. For example if the code used "GD" module, the spec file should read "perl(GD)", not "perl-GD".

Also you are missing many of them. For example, cmake/pod2man-wrapper.pl is executed at build time, there should be BuildRequires on perl(File::Copy), perl(File::Temp), perl(Getopt::Long), perl(strict), perl(warnings).

I didn't examined the build process thoroughly, but I think build-time dependency on perl(GD) (no perl-GD) is not needed because none of the three files that use it does look like being executed then building the package. Maybe they could if you run tests. It would be good to run tests in the %check section.
Comment 2 Nikos Mavrogiannopoulos 2016-01-06 08:45:21 EST
Thanks. I've updated the spec file. The test suite has some issue when run from the same directory so I've skipped it.
Comment 3 Petr Pisar 2016-01-14 09:45:55 EST
The URL and Source address are usable. Ok.
Source0 archive is original (SHA-256: c4c77fd279aab6ea56d5b34d2f17a31c59ebe5933a2002d25916ef082bcc008f). Ok.
Summary verified from README. Ok.
Description verified from README. Ok.

FIX: The license tag (GPL+) is wrong. For example README states "GPL v2", COPYRIGHT states GPLv2+. Or wml_aux/txt2html/LICENSE is BSD. And then there is a bunch of bundled libraries, like 15 years copy of pcre in wml_backend/p2_mp4h/pcre/ that is (BSD or GPLv2). 

Actually I'm giving up this review until the libraries will be unbundled (and their files pruned in the %prep section to make sure the bundled code is not used). See COPYRIGHT.OTHER for incomplete list of them. Many of them are dozen years old frozen copies. This is rely example how not to program and to package.
Comment 4 Nikos Mavrogiannopoulos 2016-01-19 05:52:22 EST
The spec file has been adapted for the licenses included, and the author has been notified about bundling. Given the new fedora bundling policies and the fact that this is a program that doesn't interact with other components I don't see bundling as a blocker to including it in fedora.

Unbundling will happen when it happens upstream.

https://bitbucket.org/shlomif/website-meta-language/issues/2/
Comment 5 Petr Pisar 2016-01-19 06:11:54 EST
Feel free to attract different reviewer. I'm not going to read 1,6 MB of compressed sources.

Note You need to log in before you can comment on or make changes to this bug.